%define upstream_name    Digest-SHA-PurePerl
%define upstream_version 5.80

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl implementation of SHA-1/224/256/384/512
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MS/MSHELOR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildArch:  noarch

Conflicts:   perl-Digest-SHA < 5.610.0-2.mga

%description
Digest::SHA::PurePerl is a complete implementation of the NIST
Secure Hash Standard.  It gives Perl programmers a convenient way
to calculate SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message
digests.  The module can handle all types of input, including
partial-byte data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor -d
%make

%check
%{__make} test

%install
%makeinstall_std
# to prevent conflict with perl-Digest-SHA
mv %{buildroot}/%{_bindir}/shasum %{buildroot}/%{_bindir}/shasum.pl

%files 
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/Digest/SHA/PurePerl.pm
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.800.0-2.mga3
+ Revision: 365940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 5.800.0-1.mga3
+ Revision: 342077
- update to 5.80

* Tue Nov 06 2012 jquelin <jquelin> 5.730.0-1.mga3
+ Revision: 315042
- update to 5.73

* Wed Sep 26 2012 jquelin <jquelin> 5.720.0-1.mga3
+ Revision: 297971
- update to 5.72

* Mon Mar 05 2012 jquelin <jquelin> 5.710.0-1.mga2
+ Revision: 218713
- update to 5.71

* Thu Dec 15 2011 jquelin <jquelin> 5.700.0-1.mga2
+ Revision: 181799
- update to 5.70

* Thu Nov 10 2011 kharec <kharec> 5.630.0-1.mga2
+ Revision: 166324
- update to 5.63

* Wed Jun 15 2011 jquelin <jquelin> 5.620.0-1.mga2
+ Revision: 106829
- update to 5.62

* Mon Apr 04 2011 jquelin <jquelin> 5.610.0-2.mga1
+ Revision: 80347
- fix bug#607 - urpmi hints to upgrade perl-Digest-SHA & perl-Digest-SHA-PurePerl in same transaction

* Thu Mar 10 2011 jquelin <jquelin> 5.610.0-1.mga1
+ Revision: 67620
- update to 5.61
- update to 5.61

* Thu Mar 10 2011 jquelin <jquelin> 5.600.0-2.mga1
+ Revision: 67403
- mmf. moving stuff needs to be done inside %%{buildroot}
- prevent conflict with perl-Digest-SHA

* Wed Mar 09 2011 jquelin <jquelin> 5.600.0-1.mga1
+ Revision: 66979
- update to 5.60
- update to 5.60

* Fri Jan 21 2011 jquelin <jquelin> 5.500.0-1.mga1
+ Revision: 30178
- mageia rebuild
- imported package perl-Digest-SHA-PurePerl

